package com.xhly.manageapp.bean.strategy

import com.xhly.manageapp.bean.app.AppModel
import java.io.Serializable

/**
 * 平板策略
 */
class StrategyBean :Serializable{
    /**
     * wifi策略
     */
    var padWifis: Array<String?>? = arrayOf()

    /**
     * 是否开启应用策略：0否 1是
     */
    var hasapp = 0

    /**
     *是否开启WIFI白名单策略：0否 1是
     */
    var haswifi = 0

    /**
     * 是否开启设备策略：0否 1是
     */
    var hasdevice = 0

    /**
     *时间策略
     */
    var padTimes: ArrayList<PadTimeManageBean>? = arrayListOf()

    var name: String? = ""

    var padid = 0

    /**
     * 设备
     */
    var padDevices: ArrayList<PadDevicesBean>? = arrayListOf()

    /**
     * 是否开启时间策略：0否 1是
     */
    var hastime = 0

    /**
     * 是否开启违规通知：0否 1是
     */
    var hasviolate = 0

    /**
     * 违规
     */
    var padViolates: ArrayList<PadViolateBean>? = arrayListOf()

    /**
     * 授权应用
     */
    var padApps: ArrayList<AppModel>? = arrayListOf()
}